<%= form_with method: 'get', skip_enforcing_utf8: true,
              local: true, class: "ui form --search",
              id: "report_search_form" do |form| %>
  <div class="fields">
    <div class="field">
      <%= label_tag t("report.date_type_label"), nil, required: true %>
      <div class="radio-group --md">
        <label class="radio-button">
          <%= radio_button_tag :date_type, 'survey', @searchable.date_type == 'survey', required: true %>
          <span class="text">
            <%= t("report.date_type_survey_date_label") %>
          </span>
        </label>
        <label class="radio-button">
          <%= radio_button_tag :date_type, 'save', @searchable.date_type == 'save', required: true %>
          <span class="text">
            <%= t("report.date_type_save_label") %>
          </span>
        </label>
      </div>
    </div>
    <div class="field">
      <%= label_tag t("report.from_label"), nil, required: true %>
      <div id="from_date_component">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= text_field_tag 'from_date', nil, placeholder: t('report.date_input_label'), required: true, autocomplete: 'off' %>
        </div>
      </div>
    </div>
    <div class="field">
      <%= label_tag t("report.to_label"), nil, required: true %>
      <div id="to_date_component">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= text_field_tag 'to_date', nil, placeholder: t('report.date_input_label'), required: true, autocomplete: 'off' %>
        </div>
      </div>
    </div>
    <div class="field --right">
      <button type="submit" class="ui button --submit --md">
        <i class="icon search"></i>
        <%= t("report.search_label") %>
      </button>
    </div>
  </div>
<% end %>

<script>
  fromDate = "<%= @searchable.from_date %>";
  toDate = "<%= @searchable.to_date %>";
</script>

<%= javascript_pack_tag 'site', debug: true %>
